"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bounceStyleList = void 0;
exports.bounceStyleList = [
    bottomTopBounce,
    topBottomBounce,
    rightLeftBounce,
    leftRightBounce,
];
function bottomTopBounce(keyframes) {
    return "\n    " + keyframes + " seog-scroll-animation-bottom-top-bounce {\n      0% {\n        opacity: 0;\n        transform: translateY(120px);\n      }\n      66% {\n        transform: translateY(-24px);\n      }\n      100% {\n        opacity: 1;\n        transform: none;\n      }\n    }";
}
function topBottomBounce(keyframes) {
    return "\n    " + keyframes + " seog-scroll-animation-top-bottom-bounce {\n      0% {\n        opacity: 0;\n        transform: translateY(-120px);\n      }\n      66% {\n        transform: translateY(24px);\n      }\n      100% {\n        opacity: 1;\n        transform: none;\n      }\n    }";
}
function rightLeftBounce(keyframes) {
    return "\n    " + keyframes + " seog-scroll-animation-right-left-bounce {\n      0% {\n        opacity: 0;\n        transform: translateX(200px);\n      }\n      66% {\n        transform: translateX(-40px);\n      }\n      100% {\n        opacity: 1;\n        transform: none;\n      }\n    }";
}
function leftRightBounce(keyframes) {
    return "\n    " + keyframes + " seog-scroll-animation-left-right-bounce {\n      0% {\n        opacity: 0;\n        transform: translateX(-200px);\n      }\n      66% {\n        transform: translateX(40px);\n      }\n      100% {\n        opacity: 1;\n        transform: none;\n      }\n    }";
}
//# sourceMappingURL=bounce.js.map