"use strict";
var __spreadArray = (this && this.__spreadArray) || function (to, from) {
    for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
        to[j] = from[i];
    return to;
};
Object.defineProperty(exports, "__esModule", { value: true });
var constants_1 = require("../constants");
var default_1 = require("./default");
var bounce_1 = require("./bounce");
var styleList = __spreadArray(__spreadArray([], default_1.defaultStyleList), bounce_1.bounceStyleList);
function makeKeyframes() {
    var keyframes = constants_1.crossBrowser.map(function (keyframe) {
        var animation = styleList.map(function (style) {
            return style(keyframe);
        });
        return animation.join(' ');
    });
    return keyframes.join(' ');
}
exports.default = makeKeyframes;
//# sourceMappingURL=make.keyframes.js.map