import { pathType } from './interfaces';
export declare function generateHashStringByLength(length?: number): string;
export declare function findDivByRef(element: HTMLElement | null): HTMLDivElement;
export declare function getAnimationType(path: pathType): any;
export declare const makeTimeToMillisecondString: (number: number) => string;
export declare function setShowObserveAnimation(element: HTMLDivElement, duration: number, delay: number): void;
export declare function setShowScrollAnimation(element: HTMLDivElement, duration: number, delay: number, path: pathType): void;
export declare const endShowAnimation: (element: HTMLDivElement, duration: number) => void;
export declare function setHideObserveAnimation(element: HTMLDivElement, duration: number, delay: number, offset: {
    x?: number;
    y?: number;
    z?: number;
}): void;
export declare function setHideScrollAnimation(element: HTMLDivElement, duration: number, delay: number, path: pathType): void;
export declare const endHideAnimation: (element: HTMLDivElement, duration: number) => void;
export declare function createKeyframes(): void;
